import os

from obspy.clients.fdsn import Client
from obspy import UTCDateTime

from seismic.trace_data.waveform import Store_Client

# Get notebook path for future reference of the database:

root = os.path.join('/home/makus/msnoise_compare/data')
os.makedirs(root, exist_ok=True)

starttime = UTCDateTime(2013, 6, 1)
endtime = UTCDateTime(2013, 6, 15)
network = 'SX'
stations = ['TANN', 'MULD', 'NEUB', 'ROHR', 'WERN', 'WIMM', 'TRIB', 'FBE']


c = [Client('BGR'), Client('EIDA')]

sc = Store_Client(c, root, read_only=False)
for station in stations:
    sc.download_waveforms_mdl(
        starttime, endtime, clients=c, network=network,
        station=station, location='*', channel='HH*')
