import subprocess
import time
import os

import pandas as pd
import numpy as np

# execute msnoise.sh before using this scripts!

outfile = '/home/makus/msnoise_compare/msnoise_times.csv'

root = '/home/makus/msnoise_compare/'

for nthreads in 2**np.arange(6):
    times = []
    for ii in range(5):
        process = subprocess.Popen(
            'msnoise new_jobs'.split(),
            cwd=root, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        stdout, stderr = process.communicate()
        x = time.time()
        process = subprocess.Popen(
            f'msnoise -t {nthreads} -d 5 -q cc compute_cc'.split(),
            cwd=root, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        stdout, stderr = process.communicate()
        times.append(time.time()-x)
        proces = subprocess.Popen(
            'msnoise reset --all CC'.split(), cwd=root,
            stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        stdout, stderr = process.communicate()

    times = np.array(times)
    d = {
        'n_cores': np.ones_like(times)*nthreads,
        'processing_time': times}
    df = pd.DataFrame(data=d)
    if os.path.isfile(outfile):
        # append
        df.to_csv(outfile, mode='a', index=False, header=False)
    else:
        df.to_csv(outfile, mode='w', index=False, header=True)
