#!/bin/bash

# Before running this script execute SeisMIC.ipynb to download the data!

# Script to set up MSNoise for the benchmark shown in the paper
# Run this in the directory where your database is
# Note that you must be in the python environment with MSNoise installed
# That means you might have to configure this line:
# conda activate my_msoise_env

ncpus=1  # Number of threads to use

# Set up database, note that you will have to have downloaded the data before
msnoise db init --tech=1
msnoise config set data_structure=SDS
msnoise config set data_folder=./data/mseed
msnoise config set response_path=./data/inventory
msnoise config set startdate=2013-06-01
msnoise config set enddate=2013-06-15
msnoise populate
msnoise scan_archive --init
msnoise db update_loc_chan


# Setting the parameters for the cross correlation
msnoise db execute "insert into filters (ref, low, mwcs_low, high, mwcs_high, mwcs_wlen, mwcs_step, used) values (1, 2.0, 2.0, 4.0, 4.0, 12.0, 4.0, 1)"
msnoise config set components_to_compute=ZZ,ZE,ZN,EE,EN,NN
# msnoise config set components_to_compute_single_station=ZZ,ZE,ZN,EE,EN,NN
msnoise config set cc_sampling_rate=25
msnoise config set analysis_duration=86400
msnoise config set maxlag=25
msnoise config set corr_duration=3600
msnoise config windsorizing=-1 # 1 bit
msnoise config set resampling_method=Decimate
msnoise config set preprocess_taper_length=100
msnoise config set keep_all=Y
msnoise config set whitening=A


# msnoise -t $ncpus -d 5 -q cc compute_cc

# reset database with
# msnoise reset --all CC
# then rerun for to obtain new time
